Package net.snowflake.client.core.auth

## Enum ClientAuthnParameter

- java.lang.Object
- - java.lang.Enum<ClientAuthnParameter>
  - - net.snowflake.client.core.auth.ClientAuthnParameter

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientAuthnParameter>`

    @SnowflakeJdbcInternalApi
    public enum ClientAuthnParameter
    extends Enum<ClientAuthnParameter>

### Enum Constant Summary

Enum Constants
`ACCOUNT_NAME`
`AUTHENTICATOR`
`BROWSER_MODE_REDIRECT_PORT`
`CLIENT_APP_ID`
`CLIENT_APP_VERSION`
`CLIENT_ENVIRONMENT`
`EXT_AUTHN_DUO_METHOD`
`LOGIN_NAME`
`OAUTH_TYPE`
`PASSCODE`
`PASSWORD`
`PROOF_KEY`
`RAW_SAML_RESPONSE`
`SESSION_PARAMETERS`
`TOKEN`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClientAuthnParameter` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClientAuthnParameter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOGIN_NAME

    public static final ClientAuthnParameter LOGIN_NAME

#### PASSWORD

    public static final ClientAuthnParameter PASSWORD

#### RAW_SAML_RESPONSE

    public static final ClientAuthnParameter RAW_SAML_RESPONSE

#### ACCOUNT_NAME

    public static final ClientAuthnParameter ACCOUNT_NAME

#### CLIENT_APP_ID

    public static final ClientAuthnParameter CLIENT_APP_ID

#### CLIENT_APP_VERSION

    public static final ClientAuthnParameter CLIENT_APP_VERSION

#### EXT_AUTHN_DUO_METHOD

    public static final ClientAuthnParameter EXT_AUTHN_DUO_METHOD

#### PASSCODE

    public static final ClientAuthnParameter PASSCODE

#### CLIENT_ENVIRONMENT

    public static final ClientAuthnParameter CLIENT_ENVIRONMENT

#### AUTHENTICATOR

    public static final ClientAuthnParameter AUTHENTICATOR

#### BROWSER_MODE_REDIRECT_PORT

    public static final ClientAuthnParameter BROWSER_MODE_REDIRECT_PORT

#### SESSION_PARAMETERS

    public static final ClientAuthnParameter SESSION_PARAMETERS

#### PROOF_KEY

    public static final ClientAuthnParameter PROOF_KEY

#### TOKEN

    public static final ClientAuthnParameter TOKEN

#### OAUTH_TYPE

    public static final ClientAuthnParameter OAUTH_TYPE

### Method Detail

#### values

    public static ClientAuthnParameter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientAuthnParameter c : ClientAuthnParameter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientAuthnParameter valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null